# Class AvailabilityResultWithDescription

#### Hierarchy

- unknown
  - AvailabilityResultWithDescription

- Defined in src/protobuf/grpc_pb.d.ts:1770
- Defined in src/protobuf/grpc_pb.d.ts:1785

#####
Index

### Constructors

constructor

### Methods

getAvailabilityResult
getDescription
serializeBinary
setAvailabilityResult
setDescription
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AvailabilityResultWithDescription(): AvailabilityResultWithDescription

- #### Returns AvailabilityResultWithDescription

  Inherited from jspb.Message.constructor

## Methods

### getAvailabilityResult

- getAvailabilityResult(): AvailabilityResult

- #### Returns AvailabilityResult

  - Defined in src/protobuf/grpc_pb.d.ts:1771

### getDescription

- getDescription(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1774

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1777

### setAvailabilityResult

- setAvailabilityResult(value: AvailabilityResult): AvailabilityResultWithDescription

- #### Parameters

  - ##### value: AvailabilityResult

  #### Returns AvailabilityResultWithDescription

  - Defined in src/protobuf/grpc_pb.d.ts:1772

### setDescription

- setDescription(value: string): AvailabilityResultWithDescription

- #### Parameters

  - ##### value: string

  #### Returns AvailabilityResultWithDescription

  - Defined in src/protobuf/grpc_pb.d.ts:1775

### toObject

- toObject(includeInstance?: boolean): AvailabilityResultWithDescription.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AvailabilityResultWithDescription.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1778

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AvailabilityResultWithDescription

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AvailabilityResultWithDescription

  - Defined in src/protobuf/grpc_pb.d.ts:1781

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AvailabilityResultWithDescription, reader: BinaryReader): AvailabilityResultWithDescription

- #### Parameters

  - ##### message: AvailabilityResultWithDescription

  - ##### reader: BinaryReader

  #### Returns AvailabilityResultWithDescription

  - Defined in src/protobuf/grpc_pb.d.ts:1782

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AvailabilityResultWithDescription, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AvailabilityResultWithDescription

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1780

### `Static` toObject

- toObject(includeInstance: boolean, msg: AvailabilityResultWithDescription): AvailabilityResultWithDescription.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AvailabilityResultWithDescription

  #### Returns AvailabilityResultWithDescription.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1779

Generated using TypeDoc